package edu.colorado.soundplayer;

import android.media.AudioManager;
import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.media.MediaPlayer;

public class Main extends Activity implements OnClickListener {

    private MediaPlayer mp;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        setVolumeControlStream(AudioManager.STREAM_MUSIC);

        Button play_button =  (Button) findViewById(R.id.play);

        play_button.setOnClickListener(this);

    }
    
    public void onPause() {
    		super.onPause();
    		if (mp != null) {
    			mp.stop();
    		}
    }

    public void onClick(View v) {
    		switch (v.getId()) {
    			case R.id.play:
    				mp = MediaPlayer.create(this, R.raw.apollo11);
    				mp.start();
    				break;
    		}
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }
}
