package edu.colorado.funwithanimation;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;

public class Main extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        Button continue_button = (Button) findViewById(R.id.continue_button);
        Animation fade = AnimationUtils.loadAnimation(this, R.anim.fade);
        continue_button.startAnimation(fade);

        Button new_button = (Button) findViewById(R.id.new_button);
        Animation scale = AnimationUtils.loadAnimation(this, R.anim.scale);
        new_button.startAnimation(scale);

        Button about_button = (Button) findViewById(R.id.about_button);
        Animation rotate = AnimationUtils.loadAnimation(this, R.anim.rotate);
        about_button.startAnimation(rotate);

        Button exit_button = (Button) findViewById(R.id.exit_button);
        Animation custom = AnimationUtils.loadAnimation(this, R.anim.custom);
        exit_button.startAnimation(custom);

    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }
}
